| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::FileReadWriteLockKey Class Reference

## Public Member Functions
| FileReadWriteLockKey (const QString &filePath)
void | lockForRead ()
void | lockForWrite ()
bool | tryLockForRead ()
bool | tryLockForRead (int timeout)
bool | tryLockForWrite ()
bool | tryLockForWrite (int timeout)
void | unlock ()